Commit bcecf6d9 authored by Nicolas Fella's avatar Nicolas Fella
Browse files

Replace KF5_VERSION with KF_VERSION

Frameworks will be Frameworks 6 at some point and there is no good reason to have the major version in the variable name.

Given this is purely internal we can to this now, making it a bit more future-proof

GIT_SILENT

NO_CHANGELOG
parent b5af1b3f
cmake_minimum_required(VERSION 3.5)
set(KF5_VERSION "5.79.0") # handled by release scripts
set(KF5_DEP_VERSION "5.79.0") # handled by release scripts
project(KTextWidgets VERSION ${KF5_VERSION})
set(KF_VERSION "5.79.0") # handled by release scripts
set(KF_DEP_VERSION "5.79.0") # handled by release scripts
project(KTextWidgets VERSION ${KF_VERSION})
# ECM setup
include(FeatureSummary)
......@@ -40,12 +40,12 @@ else()
add_definitions(-DHAVE_SPEECH)
endif()
find_package(KF5Completion ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Sonnet ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Completion ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Sonnet ${KF_DEP_VERSION} REQUIRED)
set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
......
......@@ -2,8 +2,8 @@
include(CMakeFindDependencyMacro)
find_dependency(Qt5Widgets @REQUIRED_QT_VERSION@)
find_dependency(KF5Sonnet "@KF5_DEP_VERSION@")
find_dependency(KF5I18n "@KF5_DEP_VERSION@")
find_dependency(KF5Sonnet "@KF_DEP_VERSION@")
find_dependency(KF5I18n "@KF_DEP_VERSION@")
include("${CMAKE_CURRENT_LIST_DIR}/KF5TextWidgetsTargets.cmake")
@PACKAGE_INCLUDE_QCHTARGETS@
......@@ -16,7 +16,7 @@ add_library(KF5::TextWidgets ALIAS KF5TextWidgets)
ecm_generate_export_header(KF5TextWidgets
BASE_NAME KTextWidgets
GROUP_BASE_NAME KF
VERSION ${KF5_VERSION}
VERSION ${KF_VERSION}
DEPRECATED_BASE_VERSION 0
DEPRECATION_VERSIONS 5.0 5.65 5.70 5.71
EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
......@@ -102,7 +102,7 @@ if (BUILD_QCH)
KF5TextWidgets_QCH
NAME KTextWidgets
BASE_NAME KF5TextWidgets
VERSION ${KF5_VERSION}
VERSION ${KF_VERSION}
ORG_DOMAIN org.kde
SOURCES # using only public headers, to cover only public API
${KTextWidgets_HEADERS}
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment